# List downtime events for the categorisation queue (/docs/api-reference/downtime/DowntimeController_listEvents)

`GET /api/factories/{factoryId}/downtime/events`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory slug |
| `machineId` | query | no | string |  |
| `uncategorizedOnly` | query | no | string |  |
| `from` | query | no | string |  |
| `to` | query | no | string |  |
| `limit` | query | no | string |  |
| `shiftId` | query | no | string | Constrain events to hour-of-day windows for this shift |

## Responses

### 200